Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache
Interface TreeCacheViewMBean

All Superinterfaces:
  org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  TreeCacheView

    public interface TreeCacheViewMBean

extends org.jboss.system.ServiceMBean

MBean interface.

Author:
  Bela Ban March 27 2003

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`void` | `create()`
`void` | `destroy()`
`java.lang.String` | `getCacheService()`
`void` | `setCacheService(java.lang.String cache_service)`
`void` | `start()`
`void` | `stop()`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Method Detail

### create

    void create()
                throws java.lang.Exception

  Specified by:
    `create` in interface `org.jboss.system.Service`
  Throws:
    `java.lang.Exception`

### start

    void start()
               throws java.lang.Exception

  Specified by:
    `start` in interface `org.jboss.system.Service`
  Throws:
    `java.lang.Exception`

### stop

    void stop()

  Specified by:
    `stop` in interface `org.jboss.system.Service`

### destroy

    void destroy()

  Specified by:
    `destroy` in interface `org.jboss.system.Service`

### getCacheService

    java.lang.String getCacheService()

### setCacheService

    void setCacheService(java.lang.String cache_service)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.